//
//  Facade+Banners.swift
//  kt
//
//  Created by Alexandr Zalutskiy on 31.01.15.
//  Copyright (c) 2015 Alexandr Zalutskiy. All rights reserved.
//

import Foundation

extension Facade {
  func getBanners() {
    request(Router.BannersForCity(CitiesManager.sharedInstance().userCity().id)).responseSwiftyJSON { (_, _, json, error) in
      Router.globalLog.debug(json)
      if let error = error {
        Router.globalLog.error(error.debugDescription)
      }
      BannersManager.sharedInstance().setBanners(json)
    }
  }
}